Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.adapter
Class AdapterDestroyedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.openorb.adapter.AdapterDestroyedException

All Implemented Interfaces:
  java.io.Serializable

public class AdapterDestroyedException
extends java.lang.Exception

This exception indicates that the request requires a target adapter which is currently in the process of being destroyed. The request can be safely be reissued once the destruction of the specified adapter has occoured.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`AdapterDestroyedException(ObjectAdapter adapter, byte[] aid)` Create new AdapterDestroyedException.

Method Summary
`byte[]` | `getAdapterID()` Adapter ID of the adapter being destroyed.
`ObjectAdapter` | `getObjectAdapter()` Object adapter which is currently in the process of being destroyed

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdapterDestroyedException

    public AdapterDestroyedException(ObjectAdapter adapter,
                                     byte[] aid)

  Create new AdapterDestroyedException.

Method Detail

### getObjectAdapter

    public ObjectAdapter getObjectAdapter()

  Object adapter which is currently in the process of being destroyed

### getAdapterID

    public byte[] getAdapterID()

  Adapter ID of the adapter being destroyed. This will still be available once the adapter has completed it's destruction sequence.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD